/**
 * 
 */
package gov.va.med.esr.mvc.model;

/**
 * @author DNS   CHINNR
 *
 */

import gov.va.med.esr.service.external.person.EESummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(
        name = "getEESummaryHistoryResponse", 
        namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
            )
@XmlAccessorType(XmlAccessType.FIELD)
public class EEModelHistory extends AbstractServiceDataWrapperImpl {

    /**
     * 
     */
    private static final long serialVersionUID = 1005707742996549808L;
    private EESummary summary;
    private String eesVersion;
    
    @Override
    public Object getServiceData() {
        return getSummary();
    }
    @Override
    public void setServiceData(Object serviceData) {
        setSummary((EESummary) serviceData);
    }
    public EESummary getSummary() {
        return summary;
    }
    public void setSummary(EESummary summary) {
        this.summary = summary;
    }
    public String getEesVersion() {
        return eesVersion;
    }
    public void setEesVersion(String eesVersion) {
        this.eesVersion = eesVersion;
    }

}
